Skip to main content
PUT
/
saved_filters
/
{saved_filter_token}
Update saved filter
curl --request PUT \
  --url https://api.vantage.sh/v2/saved_filters/{saved_filter_token} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "filter": "<string>"
}
'
{
  "token": "svd_fltr_eeabf4c7264f94a8",
  "title": "Updated Saved Filter",
  "cost_report_tokens": [],
  "filter": "costs.provider = 'azure'",
  "created_at": "2024-07-15T16:08:55Z",
  "created_by": "usr_240a5fd77d5da076",
  "workspace_token": "wrkspc_0b7ef373f9c5d485"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

saved_filter_token
string
required

Body

application/json

Update a SavedFilter for CostReports.

title
string

The title of the SavedFilter.

filter
string

The filter query language to apply to the SavedFilter, which subsequently gets applied to a CostReport. Additional documentation available at https://docs.vantage.sh/vql.

Response

SavedFilter model

token
string
required
title
string
required

The title of the SavedFilter.

Example:

"Platform Team Reports"

cost_report_tokens
string[]
required

The tokens for any CostReports the SavedFilter is applied to.

filter
string | null
required

The SavedFilter's filter, applied to any relevant CostReports. Additional documentation available at https://docs.vantage.sh/vql.

Example:

"costs.provider = 'azure'"

created_at
string
required

The date and time, in UTC, the report was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

created_by
string | null
required

The token for the Creator of this SavedFilter.

workspace_token
string
required

The token for the Workspace the SavedFilter is a part of.